package com.ruoyi.jarvis.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.jarvis.mapper.XbMessageItemMapper;
import com.ruoyi.jarvis.domain.XbMessageItem;
import com.ruoyi.jarvis.service.IXbMessageItemService;

/**
 * 线报消息项Service业务层处理
 *
 * @author ruoyi
 */
@Service
public class XbMessageItemServiceImpl implements IXbMessageItemService
{
    @Autowired
    private XbMessageItemMapper xbMessageItemMapper;

    /**
     * 查询线报消息项
     *
     * @param id 线报消息项主键
     * @return 线报消息项
     */
    @Override
    public XbMessageItem selectXbMessageItemById(Integer id)
    {
        return xbMessageItemMapper.selectXbMessageItemById(id);
    }

    /**
     * 查询线报消息项列表
     *
     * @param xbMessageItem 线报消息项
     * @return 线报消息项
     */
    @Override
    public List<XbMessageItem> selectXbMessageItemList(XbMessageItem xbMessageItem)
    {
        return xbMessageItemMapper.selectXbMessageItemList(xbMessageItem);
    }

    /**
     * 新增线报消息项
     *
     * @param xbMessageItem 线报消息项
     * @return 结果
     */
    @Override
    public int insertXbMessageItem(XbMessageItem xbMessageItem)
    {
        return xbMessageItemMapper.insertXbMessageItem(xbMessageItem);
    }

    /**
     * 修改线报消息项
     *
     * @param xbMessageItem 线报消息项
     * @return 结果
     */
    @Override
    public int updateXbMessageItem(XbMessageItem xbMessageItem)
    {
        return xbMessageItemMapper.updateXbMessageItem(xbMessageItem);
    }

    /**
     * 批量删除线报消息项
     *
     * @param ids 需要删除的线报消息项主键
     * @return 结果
     */
    @Override
    public int deleteXbMessageItemByIds(Integer[] ids)
    {
        return xbMessageItemMapper.deleteXbMessageItemByIds(ids);
    }

    /**
     * 删除线报消息项信息
     *
     * @param id 线报消息项主键
     * @return 结果
     */
    @Override
    public int deleteXbMessageItemById(Integer id)
    {
        return xbMessageItemMapper.deleteXbMessageItemById(id);
    }


}
